package hdm.mi.growbros.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.server.ResponseStatusException;

public abstract class GrowBrosException extends ResponseStatusException {
    /**
     * Creates a ResponseStatus exception with the given message and a response status of 500 (internal server error)
     *
     * @param message Error message
     */
    public GrowBrosException(String message) {
        super(HttpStatus.INTERNAL_SERVER_ERROR, message);
    }

    public GrowBrosException(HttpStatus httpStatus, String message) {
        super(httpStatus, message);
    }
}
